
Foreman - Bug #29047

Prepended text on OS name creation

02/18/2020 12:34 PM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Inventory   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases: 1.24.2, 1.24.3, 2.0.0, 2.0.1

Bugzilla link: 1778503 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7445

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1778503

Description of problem:

When you create an os without a family name selected, the name gets prepend with "icons16x6/black-%23.png"+os_name.

Version-Release number of selected component (if applicable):

How reproducible:

100

Steps to Reproduce:

1. Hosts -> Operating Systems -> Create Operating Systems

2. Populate Name and Major Version field, but leave Family field blank.

3. Click submit

Actual results:

"icons16x16/black-%23.png"+os_name

Expected results:

os_name

Associated revisions

Revision 7ff3468c - 02/28/2020 09:58 AM - Ondřej Pražák

Fixes #29047 - Fix os icon for unknown os family

History

#1 - 02/18/2020 12:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/7445 added

#2 - 02/28/2020 09:58 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/28/2020 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset 7ff3468cf6ebf722f8e1454cc9f8121cbe967dd8.

#4 - 03/12/2020 07:16 AM - Daniel Williams
https://bugzilla.redhat.com/show_bug.cgi?id=1778503
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/7ff3468cf6ebf722f8e1454cc9f8121cbe967dd8


- Found in Releases 1.24.2 added

Is there any chance of getting this back ported to 1.24 / 2.0?

#5 - 03/12/2020 07:20 AM - Daniel Williams

- Found in Releases 1.24.3, 2.0.0, 2.0.1 added
